Closed Bug 1447877 Opened 3 years ago Closed 11 months ago

Permafailing TV (test-verify) browser/components/customizableui/test/browser_remote_tabs_button.js | Uncaught exception - Condition timed out: () => syncWasCalled

Categories

(Firefox :: Sync, defect, P5)

defect

Tracking

()

RESOLVED INCOMPLETE

People

(Reporter: dluca, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown])

+++ This bug was initially created as a clone of Bug #1441376 +++

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=164477621&repo=mozilla-central

https://queue.taskcluster.net/v1/task/ZZCZc817SkiceC8i6lXTMQ/runs/0/artifacts/public/logs/live_backing.log

[task 2018-02-26T23:46:22.081Z] 23:46:22     INFO - TEST-START | browser/components/customizableui/test/browser_remote_tabs_button.js
[task 2018-02-26T23:46:22.167Z] 23:46:22     INFO - GECKO(7941) | ++DOMWINDOW == 6 (0x7f748b90e400) [pid = 7992] [serial = 6] [outer = 0x7f74893df000]
[task 2018-02-26T23:46:22.305Z] 23:46:22     INFO - GECKO(7941) | ++DOMWINDOW == 2 (0x7fa4086ac400) [pid = 8021] [serial = 2] [outer = 0x7fa406138000]
[task 2018-02-26T23:46:22.448Z] 23:46:22     INFO - GECKO(7941) | ++DOMWINDOW == 7 (0x7f748b87a000) [pid = 7992] [serial = 7] [outer = 0x7f74893df000]
[task 2018-02-26T23:46:22.513Z] 23:46:22     INFO - GECKO(7941) | [Child 7992, Main Thread] WARNING: attempt to modify an immutable nsStandardURL: file /builds/worker/workspace/build/src/netwerk/base/nsStandardURL.cpp, line 1698
[task 2018-02-26T23:46:24.500Z] 23:46:24     INFO - GECKO(7941) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmpRkL9kC.mozrunner/runtests_leaks_tab_pid8057.log
[task 2018-02-26T23:46:24.850Z] 23:46:24     INFO - GECKO(7941) | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2018-02-26T23:46:25.925Z] 23:46:25     INFO - GECKO(7941) | --DOCSHELL 0x7f7488881800 == 1 [pid = 7992] [id = {3dd26784-0f64-499c-be34-534c914cacd4}]
[task 2018-02-26T23:46:26.527Z] 23:46:26     INFO - GECKO(7941) | --DOCSHELL 0x7fb54e5d9800 == 4 [pid = 7941] [id = {4637ea15-d892-46a6-8b79-d86e2b3620ca}]
[task 2018-02-26T23:46:29.754Z] 23:46:29     INFO - TEST-INFO | started process screentopng
[task 2018-02-26T23:46:30.222Z] 23:46:30     INFO - TEST-INFO | screentopng: exit 0
[task 2018-02-26T23:46:30.222Z] 23:46:30     INFO - Buffered messages logged at 23:46:22
[task 2018-02-26T23:46:30.222Z] 23:46:30     INFO - Entering test bound testSyncRemoteTabsButtonFunctionality
[task 2018-02-26T23:46:30.222Z] 23:46:30     INFO - Test the Sync Remote Tabs button in the panel
[task 2018-02-26T23:46:30.223Z] 23:46:30     INFO - Buffered messages logged at 23:46:23
[task 2018-02-26T23:46:30.223Z] 23:46:30     INFO - Waiting for overflow button to have non-0 size
[task 2018-02-26T23:46:30.224Z] 23:46:30     INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 170}]
[task 2018-02-26T23:46:30.225Z] 23:46:30     INFO - The panel menu was opened
[task 2018-02-26T23:46:30.227Z] 23:46:30     INFO - TEST-PASS | browser/components/customizableui/test/browser_remote_tabs_button.js | The sync remote tabs button was added to the Panel Menu - 
[task 2018-02-26T23:46:30.242Z] 23:46:30     INFO - TEST-PASS | browser/components/customizableui/test/browser_remote_tabs_button.js | Sync Panel is in view - 
[task 2018-02-26T23:46:30.244Z] 23:46:30     INFO - The sync now button was clicked
[task 2018-02-26T23:46:30.245Z] 23:46:30     INFO - Buffered messages logged at 23:46:25
[task 2018-02-26T23:46:30.247Z] 23:46:30     INFO - Global property added while loading chrome://browser/content/browser-thumbnails.js: getTopSiteURLs
[task 2018-02-26T23:46:30.249Z] 23:46:30     INFO - Buffered messages finished
[task 2018-02-26T23:46:30.253Z] 23:46:30     INFO - TEST-UNEXPECTED-FAIL | browser/components/customizableui/test/browser_remote_tabs_button.js | Uncaught exception - Condition timed out: () => syncWasCalled
[task 2018-02-26T23:46:30.258Z] 23:46:30     INFO - Leaving test bound testSyncRemoteTabsButtonFunctionality
[task 2018-02-26T23:46:30.263Z] 23:46:30     INFO - Entering test bound asyncCleanup
[task 2018-02-26T23:46:30.265Z] 23:46:30     INFO - GECKO(7941) | 1519688789760	addons.xpi	WARN	Attempting to activate an already active default theme
[task 2018-02-26T23:46:30.270Z] 23:46:30     INFO - TEST-PASS | browser/components/customizableui/test/browser_remote_tabs_button.js | The panel UI is in default state again. -
Flags: needinfo?(eoger)
Looks like bug 1441376 fixed the problem and we haven't had any failure since March 22 [0].
Should we close this bug?

[0] https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1447877&startday=2018-03-05&endday=2018-03-27&tree=all
Flags: needinfo?(eoger) → needinfo?(dluca)
(In reply to Edouard Oger [:eoger] from comment #1)
> Looks like bug 1441376 fixed the problem and we haven't had any failure
> since March 22 [0].
> Should we close this bug?
> 
> [0]
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1447877&startday=2018-03-05&endday=2018-03-27&tree=all

No, TV was orange on your push for the 'fix' for 1441376, see:

https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=39b4ff73882ca7e6368347da67454cdd37b13a97&selectedJob=167683114

TV only runs tests that change. So because nothing else has touched the test, it hasn't been run, and there's no more stars - but if you made a whitespace-only change to the test, TV would be orange again.

All this to say, it looks like your changes in bug 1441376 didn't really fix the TV failure (or not completely, anyway).

Perhaps you can reproduce the issue by running the test with the --verify commandline argument for ./mach mochitest locally?
Flags: needinfo?(dluca) → needinfo?(eoger)
I don't really have time to work on this sorry.
Flags: needinfo?(eoger)
Priority: P1 → P5
Status: NEW → RESOLVED
Closed: 11 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.